% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: rules.pl,v $
%%  $Revision: 1.3 $
%%      $Date: 2006/02/26 18:08:11 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% Diese Datei kann ignoriert werden, sie hilft nur dem Parser
% und wird aus technischen Gründen gebraucht.

h_arg ## (head_argument_phrase,
             synsem:loc:cat:head:initial:plus,
             head_dtr:HeadDtr,
             non_head_dtrs:[NonHeadDtr])
  ===>
cat> HeadDtr,
cat> NonHeadDtr.


arg_h ## (head_argument_phrase,
             synsem:loc:cat:head:initial:minus,
             head_dtr:HeadDtr,
             non_head_dtrs:[(NonHeadDtr,
                             @argument_sign   % speed + Regelberechnung
                            )]
         )
  ===>
cat> NonHeadDtr,
cat> HeadDtr.



h_adj ## (head_adjunct_phrase,
             head_dtr:HeadDtr,
             non_head_dtrs:[(NonHeadDtr,
                             synsem:loc:cat:head:pre_modifier:minus)])
  ===>
cat> HeadDtr,
cat> NonHeadDtr.


adj_h ## (head_adjunct_phrase,
             head_dtr:HeadDtr,
             non_head_dtrs:[(NonHeadDtr,
                             synsem:loc:cat:head:pre_modifier:plus)])
  ===>
cat> NonHeadDtr,
cat> HeadDtr.


spr_h ## (head_specifier_phrase,
             head_dtr:(HeadDtr,
                       synsem:loc:cat:head:noun        % speed + Regelberechnung
                      ),
             non_head_dtrs:[(NonHeadDtr,
                             synsem:(loc:cat:head:det,   % speed + Regelberechnung
                                     trace:minus         % speed: steht eigentlich im Lexikon
                                    ))])
  ===>
cat> NonHeadDtr,
cat> HeadDtr.




f_h ## (head_filler_phrase,
             head_dtr:HeadDtr,
             non_head_dtrs:[NonHeadDtr])
  ===>
cat> NonHeadDtr,
cat> HeadDtr.

rc ## (rc,
       non_head_dtrs:[Filler,Clause])
  ===>
cat> Filler,
cat> Clause.


