% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: mehrfache-vorfeldbestzung.pl,v $
%%  $Revision: 1.4 $
%%      $Date: 2006/08/17 08:35:54 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik fr die Lehre
%%
%%             Diese Datei enthlt eine Lexikonregel, die
%%             fr die Analyse der scheinbar mehrfachen
%%             Vorfeldbesetzung verwendet wird.
%%             Siehe Mller, 2005
%%
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



% Testen mit: Der Frau das Buch gibt er nicht.

mult_fronting_verb_movement_lr ##
(Dtr,
 word,
% phon:[(a_ Phon)],  %debugging
 synsem:(loc:(Loc,
              cat:(head:(Head,
                         verb)%,
%                   subcat:list_of_non_complex_forming_unrealized_arguments
                  )),
         nonloc:(rel:[],
                 slash:[])))
**>
( word,
  synsem:(loc:(cat:(head:Head,
                    subcat:(Subcat,
                            list_of_non_complex_forming_unrealized_arguments)),
               cont:Cont),
          nonloc:(rel:[],
                  slash:[(cat:(head:dsl:Loc,
                               subcat:Subcat),
                          cont:Cont)]),
          v2:minus),
  dtr:Dtr)
morphs
  X becomes X. % when ((write('mult:'),write(Phon),nl)).

